## org.eclipse.xsd
Interface XSDSchemaCompositor

All Superinterfaces:
  EObject, Notifier, XSDConcreteComponent, XSDSchemaContent, XSDSchemaDirective

All Known Subinterfaces:
  XSDInclude, XSDRedefine

All Known Implementing Classes:
  XSDIncludeImpl, XSDRedefineImpl, XSDSchemaCompositorImpl

    public interface XSDSchemaCompositor

extends XSDSchemaDirective

A representation of the model object 'Schema Compositor'. It is used to represent aspects common to '`Include`' and '`Redefine`'.

The following features are supported:

- `Incorporated Schema`

See Also:
  `XSDPackage.getXSDSchemaCompositor()`

Method Summary
`XSDSchema` `getIncorporatedSchema()` Returns the value of the 'Incorporated Schema' reference
`void` `setIncorporatedSchema(XSDSchema value)` Sets the value of the '`Incorporated Schema`' reference

Methods inherited from interface org.eclipse.xsd.XSDSchemaDirective
`getResolvedSchema, getSchemaLocation, setResolvedSchema, setSchemaLocation`

Methods inherited from interface org.eclipse.xsd.XSDConcreteComponent

`clearDiagnostics, cloneConcreteComponent, contains, elementAttributesChanged, elementChanged, elementContentsChanged, getComponentsWithApplicationInformation, getComponentsWithUserInformation, getContainer, getDiagnostics, getElement, getRootContainer, getSchema, resolveAttributeDeclaration, resolveAttributeDeclaration, resolveAttributeDeclarationURI, resolveAttributeGroupDefinition, resolveAttributeGroupDefinition, resolveAttributeGroupDefinitionURI, resolveComplexTypeDefinition, resolveComplexTypeDefinition, resolveComplexTypeDefinitionURI, resolveElementDeclaration, resolveElementDeclaration, resolveElementDeclarationURI, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinitionURI, resolveModelGroupDefinition, resolveModelGroupDefinition, resolveModelGroupDefinitionURI, resolveNotationDeclaration, resolveNotationDeclaration, resolveNotationDeclarationURI, resolveSimpleTypeDefinition, resolveSimpleTypeDefinition, resolveSimpleTypeDefinitionURI, resolveTypeDefinition, resolveTypeDefinition, resolveTypeDefinitionURI, setElement, updateElement, updateElement, validate`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getIncorporatedSchema

    XSDSchema getIncorporatedSchema()

  Returns the value of the 'Incorporated Schema' reference.

  This reference is `computed` from the `resolved schema` and is typically not set directly.

  Returns:
    the value of the 'Incorporated Schema' reference.
  See Also:
    `XSDSchema.getIncorporatedVersions()`, `XSDSchemaDirective.getResolvedSchema()`, `setIncorporatedSchema(XSDSchema)`, `XSDPackage.getXSDSchemaCompositor_IncorporatedSchema()`

### setIncorporatedSchema

    void setIncorporatedSchema(XSDSchema value)

  Sets the value of the '`Incorporated Schema`' reference.

  Parameters:
    `value` - the new value of the 'Incorporated Schema' reference.
  See Also:
    `getIncorporatedSchema()`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.